> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayPeriodTimeCards

> The `getPayPeriodTimeCards` API retrieves active timecards given a payPeriodId

### What it does:
- Fetches top level information for all time cards in a pay period
- Displays totals for regular hours, overtime hours and the employee's overtime eligibility for easy top level timecard display screens
- Can be used to display time cards history given a `processed` payPeriodId, or the current timecard given a `new` payPeriodId

### Notes:
- For more in depth information you can retrieve an individual employee's time cards using the `getEmployeePayPeriodTimeCard` API
- overtimeHours is only retirned when `isOvertimeEligible = true`



## OpenAPI

````yaml get /reports/getPayPeriodTimeCards
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getPayPeriodTimeCards:
    get:
      tags:
        - TimeTracking Reports
      summary: getPayPeriodTimeCards
      description: >-
        The `getPayPeriodTimeCards` API retrieves active timecards given a
        payPeriodId


        ### What it does:

        - Fetches top level information for all time cards in a pay period

        - Displays totals for regular hours, overtime hours and the employee's
        overtime eligibility for easy top level timecard display screens

        - Can be used to display time cards history given a `processed`
        payPeriodId, or the current timecard given a `new` payPeriodId


        ### Notes:

        - For more in depth information you can retrieve an individual
        employee's time cards using the `getEmployeePayPeriodTimeCard` API

        - overtimeHours is only retirned when `isOvertimeEligible = true`
      operationId: getPayPeriodTimeCards
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
            example:
              method: getPayPeriodTimeCards
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
              payPeriodId: 3EAEC271-6C06-4E17-8C3B-1C6649D534D5
      responses:
        '200':
          description: Pay period time cards
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeCards:
                    type: array
                    items:
                      type: object
                      properties:
                        timeCardId:
                          type: string
                        companyId:
                          type: string
                        userId:
                          type: string
                        payPeriodId:
                          type: string
                        approvalStatus:
                          type: string
                        lastSynced:
                          type: string
                        isOvertimeEligible:
                          type: boolean
                        regularHours:
                          type: number
                        overtimeHours:
                          type: integer
                      required:
                        - timeCardId
                        - companyId
                        - userId
                        - payPeriodId
                        - approvalStatus
                        - isOvertimeEligible
                        - regularHours
                        - lastSynced
                required:
                  - timeCards
              example:
                timeCards:
                  - timeCardId: 4DDB60ED-BC33-49FA-A589-E29FB6C4FD5C
                    companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
                    userId: C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B
                    payPeriodId: 3EAEC271-6C06-4E17-8C3B-1C6649D534D5
                    approvalStatus: New
                    lastSynced: null
                    isOvertimeEligible: true
                    regularHours: 24.5
                    overtimeHours: 12
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: payPeriodId is required.
          headers: {}
      deprecated: false
      security: []

````